org.modeshape.jcr

## Class RepositoryConfiguration.Journaling

- java.lang.Object
- - org.modeshape.jcr.RepositoryConfiguration.Journaling

- Enclosing class:
    RepositoryConfiguration

      @Immutable
      public class RepositoryConfiguration.Journaling
      extends Object

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `RepositoryConfiguration.Journaling(Document journalingDoc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `asyncWritesEnabled()` Whether asynchronous writes shoudl be enabled or not.
    `String` | `getInitialTimeExpression()` Get the time that the first GC process should be run.
    `int` | `getIntervalInHours()` Get the GC interval in hours.
    `String` | `getThreadPoolName()` Get the name of the thread pool that should be used for garbage collection journal entries.
    `boolean` | `isEnabled()` Checks whether journaling is enabled or not, based on a journaling configuration having been provided.
    `String` | `location()` The location of the journal
    `int` | `maxDaysToKeepRecords()` The maximum number of days journal entries should be kept on disk

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryConfiguration.Journaling

          protected RepositoryConfiguration.Journaling(Document journalingDoc)

  - ### Method Detail

    - #### isEnabled

          public boolean isEnabled()

      Checks whether journaling is enabled or not, based on a journaling configuration having been provided.
      Returns:
        true if journaling is enabled, or false otherwise

    - #### location

          public String location()

      The location of the journal
      Returns:
        a `non-null` String

    - #### maxDaysToKeepRecords

          public int maxDaysToKeepRecords()

      The maximum number of days journal entries should be kept on disk
      Returns:
        the number of days

    - #### asyncWritesEnabled

          public boolean asyncWritesEnabled()

      Whether asynchronous writes shoudl be enabled or not.
      Returns:
        true if anyschronos writes should be enabled.

    - #### getThreadPoolName

          public String getThreadPoolName()

      Get the name of the thread pool that should be used for garbage collection journal entries.
      Returns:
        the thread pool name; never null

    - #### getInitialTimeExpression

          public String getInitialTimeExpression()

      Get the time that the first GC process should be run.
      Returns:
        the initial time; never null

    - #### getIntervalInHours

          public int getIntervalInHours()

      Get the GC interval in hours.
      Returns:
        the interval; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.